Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1
Class Asn1Integer

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Object
          org.bouncycastle.sasn1.DerObject
              org.bouncycastle.sasn1.Asn1Integer

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class Asn1Integer

extends DerObject

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Object
`_baseTag, _contentStream, _tagNumber`

Constructor Summary
`` | `Asn1Integer(java.math.BigInteger value)` Deprecated.
`protected` | `Asn1Integer(int baseTag, byte[] data)` Deprecated.
`` | `Asn1Integer(long value)` Deprecated.

Method Summary
`java.math.BigInteger` | `getValue()` Deprecated.

Methods inherited from class org.bouncycastle.sasn1.DerObject
`getEncoded, getRawContentStream, getTagNumber`

Methods inherited from class org.bouncycastle.sasn1.Asn1Object
`isConstructed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Asn1Integer

    protected Asn1Integer(int baseTag,
                          byte[] data)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### Asn1Integer

    public Asn1Integer(long value)

  Deprecated.

### Asn1Integer

    public Asn1Integer(java.math.BigInteger value)

  Deprecated.

Method Detail

### getValue

    public java.math.BigInteger getValue()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD